Bug 86241 - Introduce PropertyName class
Summary: Introduce PropertyName class
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gavin Barraclough
URL:
Keywords:
Depends on: 86283 86295
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 12:12 PDT by Gavin Barraclough
Modified: 2012-05-14 00:25 PDT (History)
12 users (show)

See Also:


Attachments
Fix (377.37 KB, patch)
2012-05-11 12:21 PDT, Gavin Barraclough
ggaren: review-
gns: commit-queue-
Details | Formatted Diff | Diff
ooops! - svn add (381.50 KB, patch)
2012-05-11 12:36 PDT, Gavin Barraclough
ggaren: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
With syntax checker fixes (416.08 KB, patch)
2012-05-11 13:29 PDT, Gavin Barraclough
no flags Details | Formatted Diff | Diff
more stylebot fixes (419.74 KB, patch)
2012-05-11 13:45 PDT, Gavin Barraclough
buildbot: commit-queue-
Details | Formatted Diff | Diff
more fixes (420.56 KB, patch)
2012-05-11 14:13 PDT, Gavin Barraclough
no flags Details | Formatted Diff | Diff
and more fixes (423.93 KB, patch)
2012-05-11 14:37 PDT, Gavin Barraclough
no flags Details | Formatted Diff | Diff
and a few more! (559.74 KB, patch)
2012-05-11 15:15 PDT, Gavin Barraclough
no flags Details | Formatted Diff | Diff
Bug fixes for a couple of regressions this patch introduced (1.54 KB, patch)
2012-05-13 23:58 PDT, Gavin Barraclough
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gavin Barraclough 2012-05-11 12:12:53 PDT
Replace 'const Identifier&' arguments to functions accessing object properties with a new 'PropertyName' type.
This change paves the way to allow for properties keyed by values that are not Identifiers.
Comment 1 Gavin Barraclough 2012-05-11 12:21:44 PDT
Created attachment 141466 [details]
Fix

No performance impact
Comment 2 WebKit Review Bot 2012-05-11 12:27:30 PDT
Attachment 141466 [details] did not pass style-queue:

Source/JavaScriptCore/runtime/JSNotAnObject.h:71:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSNotAnObject.h:75:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSNotAnObject.h:78:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSFunction.h:58:  The parameter name "nativeFunction" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSFunction.h:150:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSFunction.h:152:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSFunction.h:154:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_object.h:48:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_object.h:49:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_object.h:50:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_object.h:51:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSArray.h:284:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSArray.h:286:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSActivation.h:68:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_runtime.h:129:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_runtime.h:131:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_runtime.h:137:  _item is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bridge/c/c_instance.h:62:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/c/c_instance.h:62:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringPrototype.h:45:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Arguments.h:112:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Arguments.h:116:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Arguments.h:118:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Arguments.h:120:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Lookup.h:224:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpObject.h:73:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpObject.h:75:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpObject.h:92:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpObject.h:95:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:89:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:90:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:91:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:94:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:111:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:112:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:139:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:141:  The parameter name "globalData" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:141:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:160:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:233:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:234:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMBinding.h:340:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:81:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:82:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:83:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:84:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:85:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:88:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSValue.h:222:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSValue.h:223:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSValue.h:226:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSValue.h:227:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jni/jsc/JavaInstanceJSC.h:56:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jni/jsc/JavaInstanceJSC.h:56:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h:86:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h:87:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h:88:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h:90:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSString.h:146:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSString.h:148:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSString.h:184:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:46:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:47:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:48:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:49:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:52:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_instance.h:50:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_instance.h:50:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:109:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:112:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:124:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:153:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:162:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:163:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpConstructor.h:51:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpConstructor.h:53:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:207:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:209:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:210:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:211:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:215:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/NumberConstructor.h:41:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jsc/BridgeJSC.h:94:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jsc/BridgeJSC.h:94:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "entry" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "slot" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:98:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:101:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:103:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:105:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:111:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:118:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:119:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:120:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:121:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:122:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:126:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:128:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:130:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_nFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/JSCallbackFuncti..." exit_code: 1
ame] [5]
Source/JavaScriptCore/runtime/JSObject.h:151:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:151:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:180:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:189:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:196:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:297:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:299:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:302:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringObject.h:48:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringObject.h:52:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringObject.h:54:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringObject.h:56:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:44:  The parameter name "instance" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:45:  The parameter name "instance" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:47:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:47:  The parameter name "instance" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:47:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/mac/Plugins/Hosted/ProxyInstance.h:69:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/mac/Plugins/Hosted/ProxyInstance.h:69:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/ObjectPrototype.h:54:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_array.h:57:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_array.h:60:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 123 in 150 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Gustavo Noronha (kov) 2012-05-11 12:30:32 PDT
Comment on attachment 141466 [details]
Fix

Attachment 141466 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12667459
Comment 4 Geoffrey Garen 2012-05-11 12:35:56 PDT
svn add, please. :)
Comment 5 Gavin Barraclough 2012-05-11 12:36:52 PDT
Created attachment 141472 [details]
ooops! - svn add
Comment 6 Geoffrey Garen 2012-05-11 12:39:59 PDT
Comment on attachment 141472 [details]
ooops! - svn add

r=me
Comment 7 WebKit Review Bot 2012-05-11 12:41:26 PDT
Attachment 141472 [details] did not pass style-queue:

Source/JavaScriptCore/runtime/JSNotAnObject.h:71:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSNotAnObject.h:75:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSNotAnObject.h:78:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSFunction.h:58:  The parameter name "nativeFunction" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSFunction.h:150:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSFunction.h:152:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSFunction.h:154:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_object.h:48:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_object.h:49:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_object.h:50:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_object.h:51:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSArray.h:284:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSArray.h:286:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSActivation.h:68:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_runtime.h:129:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_runtime.h:131:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_runtime.h:137:  _item is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/js/JSDOMBinding.h:340:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringPrototype.h:45:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Arguments.h:112:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Arguments.h:116:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Arguments.h:118:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Arguments.h:120:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/c/c_instance.h:62:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/c/c_instance.h:62:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Lookup.h:224:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpObject.h:73:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpObject.h:75:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpObject.h:92:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpObject.h:95:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:89:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:90:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:91:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:94:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:111:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:112:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:139:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:141:  The parameter name "globalData" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:141:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:160:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:233:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:234:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:81:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:82:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:83:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:84:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:85:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bindings/js/JSDOMWindowShell.h:88:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSValue.h:222:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSValue.h:223:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSValue.h:226:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSValue.h:227:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jni/jsc/JavaInstanceJSC.h:56:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jni/jsc/JavaInstanceJSC.h:56:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h:86:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h:87:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h:88:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h:90:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSString.h:146:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSString.h:148:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSString.h:184:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:46:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:47:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:48:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:49:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/debugger/DebuggerActivation.h:52:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_instance.h:50:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_instance.h:50:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:109:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:112:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:124:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:153:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:162:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSCell.h:163:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpConstructor.h:51:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/RegExpConstructor.h:53:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:207:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:209:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:210:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:211:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSGlobalObject.h:215:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/NumberConstructor.h:41:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jsc/BridgeJSC.h:94:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jsc/BridgeJSC.h:94:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "entry" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "slot" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:98:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:101:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:103:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:105:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:111:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:118:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:119:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:120:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:121:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:122:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:126:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:128:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:130:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_nFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/JSCallbackFuncti..." exit_code: 1
ame] [5]
Source/JavaScriptCore/runtime/JSObject.h:151:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:151:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:180:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:189:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:196:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:297:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:299:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:302:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringObject.h:48:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringObject.h:52:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringObject.h:54:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/StringObject.h:56:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:44:  The parameter name "instance" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:45:  The parameter name "instance" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:47:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:47:  The parameter name "instance" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:47:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/mac/Plugins/Hosted/ProxyInstance.h:69:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/mac/Plugins/Hosted/ProxyInstance.h:69:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/ObjectPrototype.h:54:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_array.h:57:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/runtime_array.h:60:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 123 in 151 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Build Bot 2012-05-11 12:59:38 PDT
Comment on attachment 141472 [details]
ooops! - svn add

Attachment 141472 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12663793
Comment 9 Early Warning System Bot 2012-05-11 13:01:50 PDT
Comment on attachment 141472 [details]
ooops! - svn add

Attachment 141472 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12665671
Comment 10 Early Warning System Bot 2012-05-11 13:21:12 PDT
Comment on attachment 141472 [details]
ooops! - svn add

Attachment 141472 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12676294
Comment 11 Gavin Barraclough 2012-05-11 13:29:35 PDT
Created attachment 141484 [details]
With syntax checker fixes
Comment 12 WebKit Review Bot 2012-05-11 13:32:49 PDT
Attachment 141484 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/JSCallbackFuncti..." exit_code: 1
Source/WebCore/bridge/objc/objc_runtime.h:137:  _item is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bridge/qt/qt_runtime_qt4.cpp:1467:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
Source/WebCore/bridge/qt/qt_runtime.cpp:1458:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
Source/WebCore/bridge/c/c_instance.h:62:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/Structure.h:141:  The parameter name "globalData" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jni/jsc/JavaInstanceJSC.h:56:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/qt/qt_instance.h:54:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/qt/qt_instance.h:54:  The parameter name "propertyName" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_instance.h:50:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/qt/qt_pixmapruntime.h:35:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/jsc/BridgeJSC.h:94:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "entry" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:78:  The parameter name "slot" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/JavaScriptCore/runtime/JSObject.h:151:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:44:  The parameter name "instance" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:45:  The parameter name "instance" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:47:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/bridge/objc/objc_class.h:47:  The parameter name "instance" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 19 in 159 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 Gavin Barraclough 2012-05-11 13:45:05 PDT
Created attachment 141488 [details]
more stylebot fixes
Comment 14 WebKit Review Bot 2012-05-11 13:49:49 PDT
Attachment 141488 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/JSCallbackFuncti..." exit_code: 1
Source/WebCore/bridge/objc/objc_runtime.h:137:  _item is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bridge/qt/qt_runtime.cpp:1458:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
Source/WebCore/bridge/c/c_instance.h:62:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 3 in 160 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 Build Bot 2012-05-11 14:08:17 PDT
Comment on attachment 141488 [details]
more stylebot fixes

Attachment 141488 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12676312
Comment 16 Gavin Barraclough 2012-05-11 14:13:10 PDT
Created attachment 141494 [details]
more fixes
Comment 17 Early Warning System Bot 2012-05-11 14:13:26 PDT
Comment on attachment 141488 [details]
more stylebot fixes

Attachment 141488 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12663821
Comment 18 WebKit Review Bot 2012-05-11 14:16:45 PDT
Attachment 141494 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/JSCallbackFuncti..." exit_code: 1
Source/WebCore/bridge/objc/objc_runtime.h:137:  _item is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 1 in 160 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 19 Gavin Barraclough 2012-05-11 14:37:25 PDT
Created attachment 141499 [details]
and more fixes
Comment 20 WebKit Review Bot 2012-05-11 14:40:12 PDT
Attachment 141499 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/JSCallbackFuncti..." exit_code: 1
Source/WebCore/bridge/objc/objc_runtime.h:137:  _item is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 1 in 161 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 21 Gavin Barraclough 2012-05-11 15:15:08 PDT
Created attachment 141505 [details]
and a few more!
Comment 22 WebKit Review Bot 2012-05-11 15:19:18 PDT
Attachment 141505 [details] did not pass style-queue:

Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:355:  jsTestObjCONDITIONAL_CONST is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:357:  jsTestObjCONST_VALUE_0 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:358:  jsTestObjCONST_VALUE_1 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:359:  jsTestObjCONST_VALUE_2 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:360:  jsTestObjCONST_VALUE_4 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:361:  jsTestObjCONST_VALUE_8 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:362:  jsTestObjCONST_VALUE_9 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:363:  jsTestObjCONST_VALUE_10 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:364:  jsTestObjCONST_VALUE_11 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:365:  jsTestObjCONST_VALUE_12 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:366:  jsTestObjCONST_VALUE_13 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:367:  jsTestObjCONST_VALUE_14 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.h:368:  jsTestObjCONST_JAVASCRIPT is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bridge/objc/objc_runtime.h:137:  _item is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2661:  jsTestObjCONDITIONAL_CONST is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2668:  jsTestObjCONST_VALUE_0 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2674:  jsTestObjCONST_VALUE_1 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2680:  jsTestObjCONST_VALUE_2 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2686:  jsTestObjCONST_VALUE_4 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2692:  jsTestObjCONST_VALUE_8 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2698:  jsTestObjCONST_VALUE_9 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2704:  jsTestObjCONST_VALUE_10 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2709:  jsTestObjCONST_VALUE_11 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/API/JSCallbackFuncti..." exit_code: 1
WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2715:  jsTestObjCONST_VALUE_12 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2721:  jsTestObjCONST_VALUE_13 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2727:  jsTestObjCONST_VALUE_14 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Source/WebCore/bindings/scripts/test/JS/JSTestObj.cpp:2733:  jsTestObjCONST_JAVASCRIPT is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 27 in 185 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 23 Gavin Barraclough 2012-05-11 17:39:01 PDT
Fixed in r116828
Comment 24 Chris Dumez 2012-05-12 03:18:38 PDT
This patch seems to have caused 2 regressions on the EFL bot:
http://build.webkit.org/builders/EFL%20Linux%20Debug/builds/1547

Regressions: Unexpected text diff mismatch : (2)
  fast/dom/CSSStyleDeclaration/empty-string-property.html = TEXT
  fast/dom/collection-null-like-arguments.html = TEXT

Diffs look lie:
- document.all(""): undefined
- document.all[""]: undefined
- document.all.item(""): undefined
+ document.all[""]: [object HTMLHtmlElement]
+ document.all(""): [object HTMLHtmlElement]
+ document.all.item(""): [object HTMLHtmlElement]
Comment 25 Chris Dumez 2012-05-12 03:18:39 PDT
This patch seems to have caused 2 regressions on the EFL bot:
http://build.webkit.org/builders/EFL%20Linux%20Debug/builds/1547

Regressions: Unexpected text diff mismatch : (2)
  fast/dom/CSSStyleDeclaration/empty-string-property.html = TEXT
  fast/dom/collection-null-like-arguments.html = TEXT

Diffs look lie:
- document.all(""): undefined
- document.all[""]: undefined
- document.all.item(""): undefined
+ document.all[""]: [object HTMLHtmlElement]
+ document.all(""): [object HTMLHtmlElement]
+ document.all.item(""): [object HTMLHtmlElement]
Comment 26 Chris Dumez 2012-05-12 03:30:44 PDT
Apparently same regression on GTK port: Bug 86283.
Comment 27 Ilya Tikhonovsky 2012-05-12 05:42:17 PDT
REGRESSION: almost all inspectors tests are crashing on Mac

http://build.webkit.org/results/Lion%20Debug%20(Tests)/r116850%20(6530)/inspector/debugger/debugger-expand-scope-crash-log.txt
Comment 28 Gavin Barraclough 2012-05-13 23:58:10 PDT
Created attachment 141654 [details]
Bug fixes for a couple of regressions this patch introduced
Comment 29 Darin Adler 2012-05-14 00:03:12 PDT
Comment on attachment 141654 [details]
Bug fixes for a couple of regressions this patch introduced

Code change looks OK. Are these both covered by existing tests?
Comment 30 Gavin Barraclough 2012-05-14 00:25:43 PDT
(In reply to comment #29)
> (From update of attachment 141654 [details])
> Code change looks OK. Are these both covered by existing tests?

Yes - (ooops!) - thanks for the review.
Fixed in r116926.